<template>
  <div class="announcement-wrapper">
    <span class="title">{{ $t("restaurant.bookingAnnouncement") }}</span>
    <v-clamp autoresize :max-lines="2" class="content"
      >{{ text }}
      <div
        v-if="expanded || clamped"
        slot="after"
        slot-scope="{ toggle, expanded, clamped }"
        class="read-more"
        @click="toggle"
      >
        {{ $t(`restaurant.${expanded ? "readLess" : "readMore"}`) }}
      </div>
    </v-clamp>
  </div>
</template>

<script>
import moment from "moment";
import VClamp from "vue-clamp/dist/vue-clamp";

export default {
  props: {
    text: {
      type: String
    }
  },
  components: {
    VClamp
  }
};
</script>

<style lang="scss" scoped>
.announcement-wrapper {
  width: 100%;
  min-height: 140px;
  padding: 20px;
  background-color: $color-white;
  box-shadow: inset 0 -1px 0 0 #e2e6ee;
  @include media-breakpoint-up(md) {
    box-shadow: none;
  }
  &.hide {
    display: none;
  }
}

.title {
  font-size: 11px;
  font-weight: 600;
  padding: 2px 4px;
  border-radius: 4px;
  background-color: $color-skm-red;
  color: $color-white;
}

.content {
  font-size: 14px;
  color: $color-secondary-black;
  margin-top: 8px;
  line-height: 1.71;
}

.read-more {
  font-size: 14px;
  text-decoration: underline;
  color: $color-skm-red;
  cursor: pointer;
  display: inline-block;
}
</style>
